RuleConstants (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.logic.rule.RuleConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.logic.rule
Interface RuleConstants

All Superinterfaces:
  ArgumentConstants, BasicConstants, ModuleConstants

public interface RuleConstants
extends ModuleConstants

This interface provides constants of this package.

Version:
  $Revision: 1.10 $
Author:
  Michael Meyling

Field Summary
`static String` | `AXIOM_IS_NO_IMPLICATION`
`static String` | `CONJUNCTION_RULE_NOT_POSSIBLE`
`static String` | `FIRST_NOT_FIRST_PART_OF_SECOND_PROOF_LINE`
`static String` | `FIRST_PROOF_LINE_NO_IMPLICATION`
`static String` | `IMPLICATON_FIRST_ALREADY_OR_SECOND_NOT_FREE`
`static String` | `IMPLICATON_FIRST_NOT_FREE_OR_SECOND_ALREADY`
`static String` | `LAST_PART_FIRST_PART_NOT_EQUAL`
`static String` | `NO_ELEMENTARY_EQUIVALENCE`
`static String` | `NO_PATTERN_VARIABLE_ALLOWED`
`static String` | `OPERATOR_NOT_SUPPORTED`
`static String` | `PROOF_LINE_NO_IMPLICATION`
`static String` | `REFERENCED_PROOFLINES_NOT_SIMULAR`
`static String` | `REPLACING_ABBREVIATION_NOT_POSSIBLE`
`static String` | `REPLACING_BOUND_VARIABLE_NOT_POSSIBLE`
`static String` | `REPLACING_EQUIVALENCE_NOT_POSSIBLE`
`static String` | `REPLACING_PREDICATE_VARIABLE_NOT_POSSIBLE`
`static String` | `REPLACING_PROPOSITION_VARIABLE_NOT_POSSIBLE`
`static String` | `REPLACING_WITH_ABBREVIATION_NOT_POSSIBLE`
`static String` | `RIGHT_ADDITION_OF_FORMULA_NOT_POSSIBLE`
`static String` | `RULE_DECLARATION_CONDITION_NOT_FULLFILLED`
`static String` | `RULE_DECLARATION_MISSING`
`static String` | `RULE_VERSION_CONFLICT`
`static String` | `SECOND_PROOF_LINE_NO_IMPLICATION`
`static String` | `SENTENCE_IS_NO_IMPLICATION`
`static String` | `SUBSTITUTION_NOT_SUCCESSFULL`
`static String` | `WRONG_OCCURENCE_NUMBER`

Fields inherited from interface com.meyling.principia.module.ModuleConstants
`ABBREVIATION_EXPECTED_IN_ARGUMENT, ALL_BOUND_OR_BOUND_FREE_NOT_EMPTY_INTERSECTION, AXIOM_EXPECTED_IN_ARGUMENT, CONVENTION, COULD_NOT_BE_ADDED, DIFFERENT_PATTERN_VARIABLES, FILE_EXISTS_ALREADY, FREE_BOUND_NOT_EMPTY_INTERSECTION, INCORRECT_LINE, LABEL_ALREADY_EXISTS, LABEL_ALREADY_EXISTS_IN, LAST_LINE_NOT_EQUAL_WITH_EXPECTED, MALFORMED_MODULE_ADDRESS, MODULE_EXPECTED, MODULE_IMPORT_FAILED, MODULE_NOT_FOUND, MODULE_SPECIFICATION_DIFFERS_FROM_NAME, MUST_BE_DIGIT_PERIOD_STRING, MUST_BE_LETTER_DIGIT_PERIOD_STRING, MUST_BE_LETTER_DIGIT_STRING, MUST_END_WITH_DIGIT, MUST_NOT_END_WITH_PERIOD, MUST_START_WITH_DIGIT, MUST_START_WITH_LETTER, NO_DIRECT_PERIODS, NO_EMPTY_STRING, NO_FOLLOWING_TEXT_ALLOWED, NO_MODULE_ADDRESS, NO_PATTERN_VARIABLE_IN_AXIOM, NO_PATTERN_VARIABLE_IN_PROPOSITION, NO_PERIODS_WITHOUT_DIGIT, NO_URL, ONLY_LOWER_CASE_CHARS, OPERATOR_WITH_ONE_TO_TWO_ARGUMENTS, OPERATOR_WITH_TWO_TO_FOUR_ARGUMENTS, OPERATOR_WITH_TWO_TO_THREE_ARGUMENTS, PART_MUST_START_WITH_LETTER, PATTERN_VARIABLES_MUST_STAND_FOR_SUBJECT_VARIABLES, POSITIVE_INTEGER_EXPECTED_IN_ARGUMENT, PRECONDITIONS_NOT_FULLFILLED, PROOF_LINES_OUT_OF_RANGE, REFERENCED_ABBREVIATION_DOES_NOT_EXIST, REFERENCED_AXIOM_DOES_NOT_EXIST, REFERENCED_FORMULA_DOES_NOT_EXIST, REFERENCED_RULE_DOES_NOT_EXIST, REFERENCED_RULE_IS_NOT_DECLARED, REFERENCED_SENTENCE_DOES_NOT_EXIST, RESULT_NOT_EQUAL_WITH_EXPECTED, RULE, RULE_ALREADY_DECLARED, SAME_PATTERN_VARIABLES, SENTENCE_EXPECTED_IN_ARGUMENT, STATE_CODE_CHECKING, STATE_CODE_LOADED_AND_VERIFIED, STATE_CODE_LOADING_FROM_BUFFER, STATE_CODE_LOADING_FROM_BUFFER_FAILED, STATE_CODE_LOADING_FROM_WEB, STATE_CODE_LOADING_FROM_WEB_FAILED, STATE_CODE_LOADING_INTO_MEMORY, STATE_CODE_LOADING_INTO_MEMORY_FAILED, STATE_CODE_UNDEFINED, STATE_STRING_CHECKING, STATE_STRING_LOADED_AND_VERIFIED, STATE_STRING_LOADING_FROM_BUFFER, STATE_STRING_LOADING_FROM_BUFFER_FAILED, STATE_STRING_LOADING_FROM_WEB, STATE_STRING_LOADING_FROM_WEB_FAILED, STATE_STRING_LOADING_INTO_MEMORY, STATE_STRING_LOADING_INTO_MEMORY_FAILED, STATE_STRING_UNDEFINED, SUBJECT_VARIABLE_EXPECTED_IN_SECOND_ARGUMENT, THIS_NO_RULE, URL_WITH_EMPTY_FILE, VARIABLE_ALREADY_BOUND, VARIABLE_ALREADY_FREE, VARIABLE_NOT_BOUND, VARIABLE_NOT_FREE`

Fields inherited from interface com.meyling.principia.logic.basic.BasicConstants
`ALREADY_CONTAINS_PATTERN_VARIABLE, ARGUMENT_LIST, FORMULA, MIXED_FREE_BOUND, NO_FORMULA_NUMBER, QUALIFIED_MUST_BE_FREE, SUBJECT_VARIABLE, WRONG_FORMULA_NUMBER`

Fields inherited from interface com.meyling.principia.argument.ArgumentConstants
`ALREADY_ASSIGNED, ARGUMENT_EXPECTED, AT_LEAST_ONE_ARGUMENT_EXPECTED, CODE_CONSTRUCTOR_ARGUMENT_CHECK_FAILED, CODE_CONSTRUCTOR_WRONG_ARGUMENT_NUMBER, CODE_CONSTRUCTOR_WRONG_ARGUMENT_TYPE, CODE_METHOD_ARGUMENT_CHECK_FAILED, CODE_PARSER_ARGUMENT_EXPECTED, CODE_PARSER_NO_ARGUMENT_SEPARATOR, CODE_PARSER_NO_BEGIN_ARGUMENT_LIST, CODE_PARSER_NO_END_ARGUMENT_LIST, CODE_PARSER_NO_FURTHER_ARGUMENTS_EXPECTED, CODE_PARSER_UNEXPECTED_ARGUMENT, CODE_PARSER_UNKNOWN_ARGUMENT_CHAR, CODE_PARSER_UNKNOWN_OPERATOR, CODE_PARSER_WRONG_ATOM_FORMAT, COULD_NOT_BE_EMPTY, COULD_NOT_CREATE, COUNTER, COUNTER_OR_PATTERN, EXPECTED_IN_ARGUMENT, FIFTH_ARGUMENT, FIFTH_ARGUMENT_TYPE, FIRST_ARGUMENT, FIRST_ARGUMENT_TYPE, FOURTH_ARGUMENT, FOURTH_ARGUMENT_TYPE, MUST_BE_GREATER_THAN_NULL, MUST_HAVE_COUNTER, MUST_NOT_CONTAIN_PATTERN_VARIABLE, NO_ARGUMENT_NUMBER, NO_ARGUMENT_SEPARATOR, NO_BEGIN_ARGUMENT_LIST, NO_END_ARGUMENT_LIST, NO_LETTER_DIGIT_STRING_FOUND, NO_NEGATIVE_INTEGER, NO_POSITIVE_INTEGER_FOUND, NO_QUOTE_TERMINATION, NO_QUOTED_STRING, NO_RECURSIVE_MATCH, NOT_ASSIGNED, NULLPOINTER_PARAMETER, NUMBER, OPERATOR_WITH_AT_LEAST_TWO_ARGUMENTS, OPERATOR_WITH_FIVE_ARGUMENTS, OPERATOR_WITH_FOUR_ARGUMENTS, OPERATOR_WITH_NO_ARGUMENTS, OPERATOR_WITH_ONE_ARGUMENT, OPERATOR_WITH_THREE_ARGUMENTS, OPERATOR_WITH_TWO_ARGUMENTS, PATTERN_VARIABLE, PATTERN_VARIABLE_NOT_FOUND, POSITIVE_INTEGER_EXPECTED, QUOTED_STRING, SECOND_ARGUMENT, SECOND_ARGUMENT_TYPE, THIRD_ARGUMENT, THIRD_ARGUMENT_TYPE, UNKNOWN_ARGUMENT_CHAR, UNKNOWN_ARGUMENT_CLASS, UNKNOWN_CLASS, UNKNOWN_OPERATOR, WRONG_ARGUMENT_NUMBER`

Field Detail

### RULE_VERSION_CONFLICT

    public static final String RULE_VERSION_CONFLICT

See Also:
  Constant Field Values

### RULE_DECLARATION_CONDITION_NOT_FULLFILLED

    public static final String RULE_DECLARATION_CONDITION_NOT_FULLFILLED

See Also:
  Constant Field Values

### PROOF_LINE_NO_IMPLICATION

    public static final String PROOF_LINE_NO_IMPLICATION

See Also:
  Constant Field Values

### SECOND_PROOF_LINE_NO_IMPLICATION

    public static final String SECOND_PROOF_LINE_NO_IMPLICATION

See Also:
  Constant Field Values

### FIRST_PROOF_LINE_NO_IMPLICATION

    public static final String FIRST_PROOF_LINE_NO_IMPLICATION

See Also:
  Constant Field Values

### IMPLICATON_FIRST_ALREADY_OR_SECOND_NOT_FREE

    public static final String IMPLICATON_FIRST_ALREADY_OR_SECOND_NOT_FREE

See Also:
  Constant Field Values

### IMPLICATON_FIRST_NOT_FREE_OR_SECOND_ALREADY

    public static final String IMPLICATON_FIRST_NOT_FREE_OR_SECOND_ALREADY

See Also:
  Constant Field Values

### FIRST_NOT_FIRST_PART_OF_SECOND_PROOF_LINE

    public static final String FIRST_NOT_FIRST_PART_OF_SECOND_PROOF_LINE

See Also:
  Constant Field Values

### LAST_PART_FIRST_PART_NOT_EQUAL

    public static final String LAST_PART_FIRST_PART_NOT_EQUAL

See Also:
  Constant Field Values

### REPLACING_BOUND_VARIABLE_NOT_POSSIBLE

    public static final String REPLACING_BOUND_VARIABLE_NOT_POSSIBLE

See Also:
  Constant Field Values

### REPLACING_PREDICATE_VARIABLE_NOT_POSSIBLE

    public static final String REPLACING_PREDICATE_VARIABLE_NOT_POSSIBLE

See Also:
  Constant Field Values

### REPLACING_PROPOSITION_VARIABLE_NOT_POSSIBLE

    public static final String REPLACING_PROPOSITION_VARIABLE_NOT_POSSIBLE

See Also:
  Constant Field Values

### REPLACING_WITH_ABBREVIATION_NOT_POSSIBLE

    public static final String REPLACING_WITH_ABBREVIATION_NOT_POSSIBLE

See Also:
  Constant Field Values

### REPLACING_ABBREVIATION_NOT_POSSIBLE

    public static final String REPLACING_ABBREVIATION_NOT_POSSIBLE

See Also:
  Constant Field Values

### REPLACING_EQUIVALENCE_NOT_POSSIBLE

    public static final String REPLACING_EQUIVALENCE_NOT_POSSIBLE

See Also:
  Constant Field Values

### CONJUNCTION_RULE_NOT_POSSIBLE

    public static final String CONJUNCTION_RULE_NOT_POSSIBLE

See Also:
  Constant Field Values

### WRONG_OCCURENCE_NUMBER

    public static final String WRONG_OCCURENCE_NUMBER

See Also:
  Constant Field Values

### AXIOM_IS_NO_IMPLICATION

    public static final String AXIOM_IS_NO_IMPLICATION

See Also:
  Constant Field Values

### NO_PATTERN_VARIABLE_ALLOWED

    public static final String NO_PATTERN_VARIABLE_ALLOWED

See Also:
  Constant Field Values

### RIGHT_ADDITION_OF_FORMULA_NOT_POSSIBLE

    public static final String RIGHT_ADDITION_OF_FORMULA_NOT_POSSIBLE

See Also:
  Constant Field Values

### SENTENCE_IS_NO_IMPLICATION

    public static final String SENTENCE_IS_NO_IMPLICATION

See Also:
  Constant Field Values

### NO_ELEMENTARY_EQUIVALENCE

    public static final String NO_ELEMENTARY_EQUIVALENCE

See Also:
  Constant Field Values

### SUBSTITUTION_NOT_SUCCESSFULL

    public static final String SUBSTITUTION_NOT_SUCCESSFULL

See Also:
  Constant Field Values

### RULE_DECLARATION_MISSING

    public static final String RULE_DECLARATION_MISSING

See Also:
  Constant Field Values

### REFERENCED_PROOFLINES_NOT_SIMULAR

    public static final String REFERENCED_PROOFLINES_NOT_SIMULAR

See Also:
  Constant Field Values

### OPERATOR_NOT_SUPPORTED

    public static final String OPERATOR_NOT_SUPPORTED

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.